Read the office cash overview
GET
/cash/overview
const url = 'https://example.com/cash/overview?days=7';const options = { method: 'GET', headers: {cookie: '__Host-bottle.session_token=<__Host-bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/cash/overview?days=7' \ --cookie __Host-bottle.session_token=<__Host-bottle.session_token>Who is carrying what, how old it is, and the taken and counted-in totals over the requested days. Read-only office access; drivers cannot read other drivers’ cash.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”days
integer
Responses
Section titled “Responses”What is out there
Media typeapplication/json
object
drivers
required
Array<object>
object
driverUserId
required
string
driverName
required
string | null
outstandingPence
required
integer
drops
required
integer
since
required
string | null format: date-time
oldestDays
required
integer
handingInPence
required
integer
outstandingPence
required
integer
oldestDays
required
integer
overDays
required
integer
settledPence
required
integer
takenPence
required
integer
Example generated
{ "drivers": [ { "driverUserId": "example", "driverName": "example", "outstandingPence": 1, "drops": 1, "since": "2026-04-15T12:00:00Z", "oldestDays": 1, "handingInPence": 1 } ], "outstandingPence": 1, "oldestDays": 1, "overDays": 1, "settledPence": 1, "takenPence": 1}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not a member, or without the permission this needs
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}